.carousel-button {
    background-color: color-mix(in srgb, black, transparent 50%);
    border: none;
    color: white;
    cursor: pointer;
    font-size: 2rem;
    padding: 15px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: background-color 0.3s;
    z-index: 10;
}

.carousel-button:hover {
    background-color: color-mix(in srgb, black, transparent 80%);
}

.carousel-container {
    height: 500px;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
    width: 100%;
}

.carousel-slide {
    flex: 0 0 100%;
    height: 100%;
    position: relative;
}

.carousel-slide img {
    display: block;
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.carousel-wrapper {
    display: flex;
    height: 100%;
}

.next {
    right: 0;
}

.prev {
    left: 0;
}

.read-more {
    border-radius: 4px;
    color: deepskyblue;
    display: inline-block;
    margin-top: 15px;
    padding: 10px 20px;
    text-decoration: none;
}

.read-more:hover, .read-more:active {
    color: white;
    text-decoration: underline;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.slide-overlay {
    align-items: center;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    height: 100%;
    justify-content: center;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.slide-text {
    color: white;
    max-width: 900px;
    padding: 40px;
    text-align: center;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.slide-text p {
}

.slide-text h2 {
    font-family: LTAIdentity;
    font-size: 2rem;
    margin-bottom: 10px;
}

.slide-text-bold {
    font-weight: bold;
}

@media (max-width: 800px) {
    .carousel-button {
        font-size: 1.2rem;
        padding: 10px;
    }

    .slide-text {
        max-width: 700px;
        padding: 20px 50px; 
    }
}
